jomn94
Posts: 3
Joined: Fri Dec 21, 2012 9:43 am

Will Tellstick work with RPi?

Fri Dec 21, 2012 9:47 am

I don't have my RPi available at the moment, so I thought I could just ask here.

Will Tellstick work with Raspberry Pi?
This is Tellstick: http://www.telldus.se/products/tellstick

I see the software is available for Linux here: http://developer.telldus.com/wiki/TellS ... tion_Linux

kmpm
Posts: 14
Joined: Sat Jun 09, 2012 4:14 pm

Re: Will Tellstick work with RPi?

Fri Jan 25, 2013 8:33 pm

Yes it will.... I am using it together with https://github.com/evilmachina/telldus-core-js but you need to compile the telldus-core library first by following the instructions below.

Code: Select all

apt-.get install cmake libftdi-dev libconfuse-dev
wget http://download.telldus.se/TellStick/Software/telldus-core/telldus-core-2.1.1.tar.gz
tar -zxf telldus-core-2.1.1.tar.gz
cd telldus-core-2.1.1
cmake .
make
make install

jimbob76
Posts: 1
Joined: Fri Mar 08, 2013 10:35 pm

Re: Will Tellstick work with RPi?

Fri Mar 08, 2013 11:08 pm

I had to make some changes to the script to get things working from me

Code: Select all

    
    sodo apt-get install cmake libftdi-dev libconfuse-dev
    wget http://download.telldus.se/TellStick/Software/telldus-core/telldus-core-2.1.1.tar.gz
    tar -zxf telldus-core-2.1.1.tar.gz
    cd telldus-core-2.1.1
    cmake .
    make
    sudo make install
I had truble with "tar -zxf telldus-core-2.1.1.tar.gz"
so I used the desktop Xarchiver tool to extract the files :)

Xfirm
Posts: 2
Joined: Tue Aug 20, 2013 8:06 am

Re: Will Tellstick work with RPi?

Tue Aug 20, 2013 8:08 am

Hello I wounder if you could help me be able to build telldus-core-js on an pi.

I get the error below and cant figure out what i'm doing wrong.

make: Entering directory `/home/pi/piHomeAuto/node_modules/telldus-core-js/build'
CXX(target) Release/obj.target/telldus-core-js/telldus.o
../telldus.cc:231:34: error: ‘eio_req’ was not declared in this scope
../telldus.cc:231:43: error: ‘req’ was not declared in this scope
../telldus.cc:231:48: error: expected ‘,’ or ‘;’ before ‘{’ token
../telldus.cc:390:1: error: expected ‘}’ at end of input
make: *** [Release/obj.target/telldus-core-js/telldus.o] Fel 1
make: Leaving directory `/home/pi/piHomeAuto/node_modules/telldus-core-js/build'
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:267:23)
gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:100:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:789:12)
gyp ERR! System Linux 3.6.11+
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "build"
gyp ERR! cwd /home/pi/piHomeAuto/node_modules/telldus-core-js
gyp ERR! node -v v0.11.2
gyp ERR! node-gyp -v v0.9.5
gyp ERR! not ok
npm ERR! weird error 1

Return to “Beginners”